:: Start
@echo off
setlocal

:: Mods directory
set "mods_dir=mods_full"
:: Default LethalCompany directory
set "install_dir=%PROGRAMFILES(X86)%\Steam\steamapps\common\Lethal Company"
:: Folder select command - oneliner from https://stackoverflow.com/a/15885133/1683264 
set "psCommand="(new-object -COM 'Shell.Application').BrowseForFolder(0,'Selectionner le dossier cible.',0,0).self.path""

:: Check if LethalCompany is found in the default directory, else ask for and set the proper directory
echo [Installation du pack complet de mods]
echo [Verification du dossier d'installation de Lethal Company]
echo (Chemin d'installation par defaut : %install_dir%) && echo.

if exist "%install_dir%\*" (
  echo [Dossier trouve a l'emplacement par defaut.]
  ) else (
  echo [Aucun dossier trouve a l'emplacement par defaut.]
  echo [Selectionner le dossier d'installation de LethalCompany - le dossier racine nomme Lethal Company] && echo.
  pause
  for /f "usebackq delims=" %%I in (`powershell %psCommand%`) do set "install_dir=%%I"
  )

:: Copy the mods
setlocal enabledelayedexpansion
if exist "!install_dir!\Lethal Company.exe" (
  echo [Dossier valide. Installation des mods...]
  robocopy "%mods_dir%" "!install_dir!" /E > nul
  robocopy "%mods_dir%\BepInEx\plugins" "!install_dir!\BepInEx\plugins" /E /PURGE > nul
  echo [Mods installes.]
  ) else (
  echo [Erreur - Dossier incorrect. Arret du script.]
  )

:: End  
endlocal
echo. && pause